Kernel 2.6.32-2.6.25 and initrd update with lot of changes

Search This thread

l1q1d

Retired Recognized Developer
Sep 19, 2008
1,134
95
Venice
www.tech-team.it
There are many changes on initrd that affect both 2.6.25 and 2.6.32, so:
When you update you need to apply this.
If someone post something like wifi doesn't work and he/she didn't apply the update i'll find a way to burn his phone remotely!

I fixed the problem of wifi for polaris (now we use the same module, thanks dzo)
The new initrd:
  • switch to correct version of modules between 2.6.25 and 2.6.32
  • change the name of the device
  • probably fix data corruption

2.6.32 kernel has a new parameter for fake sync so you can make all test you want (please post results in this thread)

2.6.25 is unchanged so when you flash you change only the initrd.

Haret users please download initrd from here.

if you have problem with data connection please let me know!

I suggest you to download latest version directly from atools.

To apply update you can use the boot menu or atools (BSE->select data and system partitions-> select intall update-> put install-seq.sh in sdcard/andboot/)

Download page here

changelog:
updated androidupdate.tgz with su fix
For releaser:
Entract the update on your distro
remove the /system/etc/ppp directory
put the ppp file (extract the zip) on /system/etc/

Release your new distro.
 

Attachments

  • ppp.zip
    111 bytes · Views: 1,782
Last edited:

Prowess

Senior Member
Jun 24, 2009
106
1
Thank You l1q1d

Appreciate everything you do!

I am a Vogue user on sdcard sys-date.img (not ext2), I have updated the 'must' and used the haret lzma, and zImage-11-23-10 .32 kernel but still get this:

sh:2 unknown operand
Automode for system
/init: line 319: /bin/losetup: not found
/init: line 319: /bin/e2fsck: not found
[ 24.743286] EXT2-fs: unable to read superblock
mount: mounting /dev/block/loop1 on /system failed: Invalid argument
Failed
Failed to mount /system
 

highhacker

Senior Member

aceoyame

Retired Recognized Developer
Jul 14, 2009
939
254
Yep link is working just fine. Tried it in IE8 and firefox with no issues. Sounds to me like your browser is having a hell of a time trying to parse xml.
 

mmec2

Senior Member
Mar 16, 2010
106
17
UK
Well it seems to work ok for me, wifi still works, and I will experiment with the vsync setting later.

One problem, the superuser app doesn't work anymore, typing su in a terminal gives:
su: unknown user root

and now roguetools won't work either obviously.

Any ideas what could have caused this? Clearing superuser data didn't help.

I would try to remove the superuser apk and reinstall it from the market, but I can't remove it because I don't have root access now!
 

clemsyn

Senior Member
Sep 19, 2006
1,707
1,620
Yes every kernel has his own dir
for su problem:

Code:
mount -o remount,rw /system
echo "root::0:0:root:/:/bin/sh" > /etc/passwd
mount -o remount,ro /system

Unable to mount error (not root)

can we just make a passwd file and put

root::0:0:root:/:/bin/sh

will that work?

BTW, very nice update :)
 
Last edited:

clemsyn

Senior Member
Sep 19, 2006
1,707
1,620
Unable to mount error (not root)

can we just make a passwd file and put

root::0:0:root:/:/bin/sh

will that work?

That worked :) I am able to su now, it doesn't open my su app but I can logcat and rogue tools work (after letting it sleep)
 
Last edited:

mmec2

Senior Member
Mar 16, 2010
106
17
UK
clemsyn, how did you do it?

I put "root::0:0:root:/:/bin/sh" in system/etc/passwd in an androidupdate.tar, but it hasn't worked, I still get the same error
 

Grandelama

Senior Member
Apr 4, 2008
264
75
if you have problem with data connection please let me know!

I applied the patch to 3 different rom freshly installed, Clemsyn's latest international, Scoot's CyanogenMod RLS4c and latest fat free froyo.

Wifi is working correctly but I cannot get 3g-gprs data to work.
APN seems correctly configured.
Am I the only one?

No overclock, panel 3, tilt, atools 1.02 and 0.11 (tried both)
 

spellshaper

Senior Member
Dec 21, 2007
66
0
Thank you for update,

is there any chance, that this update can fix thiis problem?
http://forum.xda-developers.com/showthread.php?t=844695

I flashed like hell on weekend and wasnt able to load any page with any 2.6.25 build (I tested many FroYos and even one Eclair). Sad is, that other than WiFi, system was fast and stable :-/

With 2.6.32 I was able to randomly load google.com page but very slow (less than 1kb/s) and cant connect with google acc still. On the top of that system wasnt so stable as with 2.6.25.

Its really weird, that I am only one, who have problem with loading pages :(


Can it also be caused by my radio: 1.65.38.14 (Touch Cruise Polaris POLA100 panel=1)? Its great for WM 6.5.3, but maybe not so great for WiFi on Andorid? Or is there anyone with working WiFI and that radio?
Otherwise, can someone post a link to tested and best radio for Android (I prefer Fat Free FroYo build, if someone tested it) ;)
 

clemsyn

Senior Member
Sep 19, 2006
1,707
1,620
I applied the patch to 3 different rom freshly installed, Clemsyn's latest international, Scoot's CyanogenMod RLS4c and latest fat free froyo.

Wifi is working correctly but I cannot get 3g-gprs data to work.
APN seems correctly configured.
Am I the only one?

No overclock, panel 3, tilt, atools 1.02 and 0.11 (tried both)


You are not alone :) I am also having issues with mobile data. I'll look into it later on. I believe it's just a PATH issue in the sysinit.rc but I could be wrong.
 
Last edited:

l1q1d

Retired Recognized Developer
Sep 19, 2008
1,134
95
Venice
www.tech-team.it
for data connection try this:
Code:
mount -o remount,rw /system
rm -r /system/etc/ppp
ln -s /smodem /system/etc/ppp 
mount -o remount,ro /system

@spellshaper: next time use search button in polaris section!!!! Flash 1.59.46.12 radio.
 
Last edited:

Top Liked Posts

  • There are no posts matching your filters.
  • 3
    There are many changes on initrd that affect both 2.6.25 and 2.6.32, so:
    When you update you need to apply this.
    If someone post something like wifi doesn't work and he/she didn't apply the update i'll find a way to burn his phone remotely!

    I fixed the problem of wifi for polaris (now we use the same module, thanks dzo)
    The new initrd:
    • switch to correct version of modules between 2.6.25 and 2.6.32
    • change the name of the device
    • probably fix data corruption

    2.6.32 kernel has a new parameter for fake sync so you can make all test you want (please post results in this thread)

    2.6.25 is unchanged so when you flash you change only the initrd.

    Haret users please download initrd from here.

    if you have problem with data connection please let me know!

    I suggest you to download latest version directly from atools.

    To apply update you can use the boot menu or atools (BSE->select data and system partitions-> select intall update-> put install-seq.sh in sdcard/andboot/)

    Download page here

    changelog:
    updated androidupdate.tgz with su fix
    For releaser:
    Entract the update on your distro
    remove the /system/etc/ppp directory
    put the ppp file (extract the zip) on /system/etc/

    Release your new distro.
    1
    WTF the answer is in first post!!!!!!
    use the initrd linked in the first post and apply the update.
    you don't need to move anything!!!!
    1
    Did you use the initrd from the link???
    Did you shutdown the device?
    1
    I'm getting the error: "apply modules/androidupdate.tgz failed from sourceforge"
    I don't know what to do anymore... (booting with haret for install on SD Card)

    Kernel (zImage) and modules (in androidupdate.tgz) need to match. It is not a very convenient install process though. Put the zImage and androidupdate.tgz files onto your SD in /sdcard/andboot folder, and use Haret to boot into Linux. As soon as you see the Penguin, push the center of the screen until you get the menu. Then install updates, and continue to boot. If you still have problems, I can't be very helpful since I don't use my Kaiser anymore.
    In fact, if anyone in US wants a Kaiser (AT&T Tilt) for the cost of shipping, PM me.
Our Apps
Get our official app!
The best way to access XDA on your phone
Nav Gestures
Add swipe gestures to any Android
One Handed Mode
Eases uses one hand with your phone